XCTestConventionPlugin (Gradle API 5.5-20190702033235+0000)
Date: 2019-07-01

Package org.gradle.nativeplatform.test.xctest.plugins

## Class XCTestConventionPlugin

- java.lang.Object
- - org.gradle.nativeplatform.test.xctest.plugins.XCTestConventionPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      public class XCTestConventionPlugin
      extends Object
      implements Plugin<Project>

  A plugin that sets up the infrastructure for testing native binaries with XCTest test framework. It also adds conventions on top of it.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XCTestConventionPlugin​(org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPlatformPathLocator sdkPlatformPathLocator, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, org.gradle.language.internal.NativeComponentFactory componentFactory, ObjectFactory objectFactory, org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory, TargetMachineFactory targetMachineFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XCTestConventionPlugin

          @Inject
          public XCTestConventionPlugin​(org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPlatformPathLocator sdkPlatformPathLocator,
                                        org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector,
                                        org.gradle.language.internal.NativeComponentFactory componentFactory,
                                        ObjectFactory objectFactory,
                                        org.gradle.api.internal.attributes.ImmutableAttributesFactory attributesFactory,
                                        TargetMachineFactory targetMachineFactory)

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object